# Get Owned SRRs

<mark style="color:blue;">`GET`</mark> `<base_url>/port/api/v1/ownerAddress/{ownerAddress}/ownedSrrs`

Please replace `<base_url>` as explained [here](/readme/url-per-environment.md).

Get issued SRR(s) that are currently owned by the given address. SRR(s) are paginated. Check the default pagination query parameters.

{% hint style="info" %}
**Recommended: query the subgraph directly**

This endpoint is a thin convenience wrapper around the [Startrail subgraph](/subgraph/subgraph.md) plus an IPFS metadata fetch. For anything beyond a quick lookup we recommend querying the subgraph directly — it is the authoritative source for issuer / artist / collection / ownership / provenance information, and the SRR `metadata` JSON should be fetched from the [Startrail IPFS CDN gateway](/subgraph/ipfs-cdn-gateway.md) using the `metadataDigest` (CID) returned by the subgraph.
{% endhint %}

#### Path Parameters

| Name                                           | Type   | Description                                                                                     |
| ---------------------------------------------- | ------ | ----------------------------------------------------------------------------------------------- |
| ownerAddress<mark style="color:red;">\*</mark> | string | <p>owner address.</p><p><em>Example</em></p><p>: 0xdf2c421c4Bc5a5694D1AE4b400886E148b378630</p> |

#### Query Parameters

| Name  | Type   | Description                               |
| ----- | ------ | ----------------------------------------- |
| limit | number | <p><em>Default value</em></p><p>: 100</p> |
| page  | number | <p><em>Default value</em></p><p>: 1</p>   |

{% tabs %}
{% tab title="200: OK " %}
{% tabs %}
{% tab title="Description of SRR Data" %}
Array of SRR data sourced from the subgraph and aggregated with the on-chain metadata fetched from IPFS.

See [Description Of SRR Data](/get-srr-api/description-of-srr-data.md).
{% endtab %}

{% tab title="Example" %}

```json
[
  {
    "id": "0x7942627305545af0e6c826d54cc9b2c5d190a874-227890056407",
    "tokenId": "227890056407",
    "ownerAddress": "0x2B8A689885278012a7681C3A37aC33B9357eFA2F",
    "isPrimaryIssuer": true,
    "artistAddress": "0xd80228C535e52470C2034491cFE9dF1F840caFB9",
    "metadataDigest": "bafkreiabepvyxyetkcb3xbjo3ocuyfo6psv3rc3yj34hequwcsilyvjima",
    "transferCommitment": null,
    "lockExternalTransfer": false,
    "royaltyReceiver": "0xA6E6a9E20a541680a1D6E1412f5088AefBF58a22",
    "royaltyBasisPoints": 1570,
    "createdAt": "2023-08-12T10:21:33.000Z",
    "updatedAt": "2023-09-03T04:11:02.000Z",
    "issuer": {
      "id": "0xa6e6a9e20a541680a1d6e1412f5088aefbf58a22",
      "walletAddress": "0xA6E6a9E20a541680a1D6E1412f5088AefBF58a22",
      "salt": "0x...",
      "owners": ["0x..."],
      "originalName": "issuer original name",
      "englishName": "issuer english name",
      "userType": "handler",
      "threshold": 1,
      "createdAt": "2022-04-14T03:15:35.153Z",
      "updatedAt": "2022-04-14T03:15:35.153Z"
    },
    "artist": {
      "id": "0xd80228c535e52470c2034491cfe9df1f840cafb9",
      "walletAddress": "0xd80228C535e52470C2034491cFE9dF1F840caFB9",
      "salt": "0x...",
      "owners": ["0x..."],
      "originalName": "Willem de Kooning",
      "englishName": "William de Kooning",
      "userType": "artist",
      "threshold": 1,
      "createdAt": "2020-10-23T07:54:54.486Z",
      "updatedAt": "2020-10-23T07:54:54.486Z"
    },
    "collection": {
      "id": "0x7942627305545af0e6c826d54cc9b2c5d190a874",
      "name": "collection name",
      "symbol": "T22",
      "ownerAddress": "0xA6E6a9E20a541680a1D6E1412f5088AefBF58a22",
      "createdAt": "2023-08-01T06:00:00.000Z",
      "updatedAt": "2023-08-01T06:00:00.000Z"
    },
    "metadata": {
      // Raw SRR metadata JSON, exactly as fetched from the IPFS CDN gateway
      // (https://cdn.startrail.io/ipfs/<metadataDigest>).
      // See the Metadata Schema section for the full schema.
    },
    "metadataHistory": [
      {
        "metadataDigest": "bafkreiabepvyxyetkcb3xbjo3ocuyfo6psv3rc3yj34hequwcsilyvjima",
        "createdAt": "2023-08-12T10:21:33.000Z"
      }
    ],
    "history": [],
    "provenance": [],
    "customHistories": [],
    "transfers": []
  }
]
```

{% endtab %}
{% endtabs %}
{% endtab %}
{% endtabs %}

## Swagger Endpoint (Test Environment)

[Swagger to test](https://api-stg.startrail.startbahn.jp/port/api#/public/SRROwnerController_getOwnedSrrs).

## Required Permissions

No required permission. This endpoint is public as the information is also public.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.startrail.io/get-srr-api/get-owned-srrs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
